# $Revision: 1.6 $, $Date: 2002/10/10 16:41:31 $
%include	/usr/lib/rpm/macros.php
%define         _class          XML
%define         _subclass       Transformer
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_pearname} - XML Transformations in PHP
Summary(pl):	%{_pearname} - Transformacje XML w PHP
Name:		php-pear-%{_pearname}
Version:	0.8
Release:	1
License:	PHP 3.00
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
URL:		http://pear.php.net/
BuildRequires:	rpm-php-pearprov
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
With the XML_Transformer class one can easily bind PHP functionality
to XML tags, thus transforming the input XML tree into an output XML
tree without the need for XSLT. Single XML elements can be overloaded
with PHP functions, methods and static method calls, XML namespaces
can be registered to be handled by PHP classes.

%description -l pl
Z klas XML_Transformer mona atwo zwiza funkcjonalno PHP z
tagami XML, transformujc wejciowe drzewo XML w wyjciowe drzewo XML
bez potrzeby stosowania XSLT. Pojedyczy element XML moe by
przeciony funkcjami PHP, metodami i statycznymi wywoaniami metod,
przestrze nazw XML moe by zarejestrowana, aby mona byo je
obsugiwa przez klasy PHP.

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}/%{_subclass}/{Driver,Namespace}

install %{_pearname}-%{version}/*.php $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}
install %{_pearname}-%{version}/%{_subclass}/*.php $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}/%{_subclass}
install %{_pearname}-%{version}/%{_subclass}/Driver/*.php $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}/%{_subclass}/Driver
install %{_pearname}-%{version}/%{_subclass}/Namespace/*.php $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}/%{_subclass}/Namespace

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{php_pear_dir}/%{_class}/%{_subclass}
%dir %{php_pear_dir}/%{_class}/%{_subclass}/Driver
%dir %{php_pear_dir}/%{_class}/%{_subclass}/Namespace
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}/Driver/*.php
%{php_pear_dir}/%{_class}/%{_subclass}/Namespace/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: php-pear-XML_Transformer.spec,v $
Revision 1.6  2002/10/10 16:41:31  blues
- 0.8 - STBR

Revision 1.5  2002/09/22 08:56:28  blues
- 0.7 - STBR

Revision 1.4  2002/09/17 23:43:12  blues
- 0.6 - many changes, more files - first package with License PHP 3.00
  (aproved by Stallman :) ) - STBR

Revision 1.3  2002/09/08 14:34:56  blues
- 0.5 - STBR

Revision 1.2  2002/09/04 12:34:32  blues
- 0.4 (stable) - STBR

Revision 1.1  2002/07/17 13:19:44  blues
- intial release

